Bug 1379883 - File conflict file /usr/share/themes/Numix/gtk-3.0/assets with latest update
Summary: File conflict file /usr/share/themes/Numix/gtk-3.0/assets with latest update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: numix-gtk-theme
Version: 26
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Sascha Spreitzer (Red Hat)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-28 01:11 UTC by Eric Griffith
Modified: 2017-05-04 14:52 UTC (History)
2 users (show)

Fixed In Version: 2.6.6-2 numix-gtk-theme-2.6.6-2.fc24 numix-gtk-theme-2.6.6-2.fc25 numix-gtk-theme-2.6.6-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-26 18:21:04 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1352499 0 unspecified CLOSED numix-gtk-theme-2.6.6 is available 2021-02-22 00:41:40 UTC

Internal Links: 1352499

Description Eric Griffith 2016-09-28 01:11:59 UTC
Error: Transaction check error:
  file /usr/share/themes/Numix/gtk-3.0/assets from install of numix-gtk-theme-2.6.4-1.fc26.noarch conflicts with file from package numix-gtk-theme-2.6.0-1.fc25.noarch

Can work around by uninstall numix-gtk-theme and re-installing the new version, but errors like this are bad for the user experience.

Comment 1 Sascha Spreitzer (Red Hat) 2016-09-28 07:06:11 UTC
Hi Eric

Thanks for bringing this up! 
Actually I am working on this issue. You shouldn't have seen this as the update packages where unpushed by me in bodhi.

Did you manually download and install the package?

It looks like that the RPM update fails as rpm is unpacking the new files over a symlink which is then dereferenced.
These symlinked asset directories have changed with the new version and it looks like it can not be handled with the ordinare RPM scriptlets. 

It might need to be solved via a lua %pretrans scriptlet, removing the symlink before installing the update.

Kind regards
Sascha

Comment 2 Sascha Spreitzer (Red Hat) 2016-09-29 13:26:02 UTC
Hi Eric

Did you manually download and install the package?

Kind regards
Sascha

Comment 3 Eric Griffith 2016-09-29 17:28:27 UTC
Nope, just a standard 'dnf update.' It errored out originally sometime in the afternoon. I eventually said 'screw it' and removed the package around 9 EST, made the bug report soon thereafter. 

Even when I did 'dnf update --refresh' around 20:30, it still wanted to install the bad update. So I'm not sure why Bodhi didnt actually yank it.

Comment 4 Sascha Spreitzer (Red Hat) 2016-09-30 07:33:50 UTC
Apparently this is not good news. I will investigate this further. Thanks for your input!

Comment 5 Fedora End Of Life 2017-02-28 10:21:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 6 Sascha Spreitzer (Red Hat) 2017-04-18 18:41:30 UTC
Hi there

So this one was quite challenging. They way it is solved will print some unpretty warnings from RPM update that some files have gone missing, but that is still better then failing.

The directories will be changed into symlinks, which RPM can not do.

----
# This is to clean up directories before links created
# See https://bugzilla.redhat.com/show_bug.cgi?id=1379883
# See https://fedoraproject.org/wiki/Packaging:Directory_Replacement
%pretrans -p <lua>
directories = {
  "/usr/share/themes/Numix/gtk-3.0/assets",
  "/usr/share/themes/Numix/gtk-3.2/assets"
}
for i,path in ipairs(directories) do
  st = posix.stat(path)
  if st and st.type == "directory" then
    status = os.rename(path, path .. ".rpmmoved")
    if not status then
      suffix = 0
      while not status do
        suffix = suffix + 1
        status = os.rename(path .. ".rpmmoved", path .. ".rpmmoved." .. suffix)
      end
      os.rename(path, path .. ".rpmmoved")
    end
  end
end
----

The update package is currently pending version 2.6.6-2

Kind regards
Sascha

Comment 7 Fedora Update System 2017-04-18 18:46:57 UTC
numix-gtk-theme-2.6.6-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ca8e3b178c

Comment 8 Fedora Update System 2017-04-18 18:47:31 UTC
numix-gtk-theme-2.6.6-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-685dde844d

Comment 9 Fedora Update System 2017-04-18 18:48:11 UTC
numix-gtk-theme-2.6.6-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-cee0159755

Comment 10 Fedora Update System 2017-04-19 09:49:50 UTC
numix-gtk-theme-2.6.6-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-cee0159755

Comment 11 Fedora Update System 2017-04-19 10:55:32 UTC
numix-gtk-theme-2.6.6-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ca8e3b178c

Comment 12 Fedora Update System 2017-04-19 10:56:51 UTC
numix-gtk-theme-2.6.6-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-685dde844d

Comment 13 Fedora Update System 2017-04-26 18:21:04 UTC
numix-gtk-theme-2.6.6-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-04-27 05:52:04 UTC
numix-gtk-theme-2.6.6-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-05-04 14:52:32 UTC
numix-gtk-theme-2.6.6-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.